declare type Category = "titlepiece" | "headline" | "body" | "textSans";
declare type LineHeight = "tight" | "regular" | "loose";
declare type FontWeight = "light" | "regular" | "medium" | "bold";
declare type TitlepieceSizes = "small" | "medium" | "large";
declare type HeadlineSizes = "xxxsmall" | "xxsmall" | "xsmall" | "small" | "medium" | "large" | "xlarge";
declare type BodySizes = "small" | "medium";
declare type TextSansSizes = "xsmall" | "small" | "medium" | "large" | "xlarge";
declare const titlepieceSizes: {
    [key in TitlepieceSizes]: number;
};
declare const headlineSizes: {
    [key in HeadlineSizes]: number;
};
declare const bodySizes: {
    [key in BodySizes]: number;
};
declare const textSansSizes: {
    [key in TextSansSizes]: number;
};
interface FontScaleArgs {
    lineHeight?: LineHeight;
    fontWeight?: FontWeight;
    italic?: boolean;
}
declare type TitlepieceFunctions = {
    [key in TitlepieceSizes]: (options?: FontScaleArgs) => number;
};
declare const titlepiece: TitlepieceFunctions;
declare type HeadlineFunctions = {
    [key in HeadlineSizes]: (options?: FontScaleArgs) => number;
};
declare const headline: HeadlineFunctions;
declare type BodyFunctions = {
    [key in BodySizes]: (options?: FontScaleArgs) => number;
};
declare const body: BodyFunctions;
declare type TextSansFunctions = {
    [key in TextSansSizes]: (options?: FontScaleArgs) => number;
};
declare const textSans: TextSansFunctions;
export { titlepiece, headline, body, textSans, titlepieceSizes, headlineSizes, bodySizes, textSansSizes, Category, LineHeight, FontWeight, TitlepieceSizes, HeadlineSizes, BodySizes, TextSansSizes, };
